Subject: Re: [PATCH ipsec v2 1/1] xfrm: Migrate offload configuration

From: Leon Romanovsky <[email-masked]>
Date: Sun, 23 Feb 2025 13:21:02 +0200

On Thu, Feb 20, 2025 at 07:35:15AM +0000, Chiachang Wang wrote:
> Add hardware offload configuration to XFRM_MSG_MIGRATE
> using an option netlink attribute XFRMA_OFFLOAD_DEV.
> 
> In the existing xfrm_state_migrate(), the xfrm_init_state()
> is called assuming no hardware offload by default. Even the
> original xfrm_state is configured with offload, the setting will
> be reset. If the device is configured with hardware offload,
> it's reasonable to allow the device to maintain its hardware
> offload mode. But the device will end up with offload disabled
> after receiving a migration event when the device migrates the
> connection from one netdev to another one.
> 
> The devices that support migration may work with different
> underlying networks, such as mobile devices. The hardware setting
> should be forwarded to the different netdev based on the
> migration configuration. This change provides the capability
> for user space to migrate from one netdev to another.
> 
> Test: Tested with kernel test in the Android tree located
>       in https://android.googlesource.com/kernel/tests/
>       The xfrm_tunnel_test.py under the tests folder in
>       particular.
> 
> v1 -> v2:
> - Address review feedback to correct the logic in the
>   xfrm_state_migrate in the migration offload configuration
>   change.
> - Revise the commit message for "xfrm: Migrate offload configuration"

Please, put changelogs after --- marking, fix kbuild error and resend
the patch as standalone one and not as reply-to previous version.

Thanks